import { Component, OnInit, Input } from "@angular/core";
import { MoviesService } from "../../services/movies.service";
import { Movie } from "src/app/interfaces/ts_movie";

@Component({
	selector: "app-detail",
	templateUrl: "./detail.component.html",
	styleUrls: ["./detail.component.scss"],
})
export class DetailComponent implements OnInit {
	@Input() id;
	movieDetail: Movie;

	constructor(private movieService: MoviesService) {}

	ngOnInit() {
		this.movieService.getMovie_byId(this.id).subscribe((resp) => {
			this.movieDetail = resp;
			console.log(this.movieDetail);
		});
	}
}
