import { Component, OnInit, ViewChild } from "@angular/core";
import { IonTabs } from "@ionic/angular";

@Component({
	selector: "app-global-tabs",
	templateUrl: "./global-tabs.component.html",
	styleUrls: ["./global-tabs.component.scss"],
})
export class GlobalTabsComponent implements OnInit {
	@ViewChild("tabs", { static: false }) tabs: IonTabs;
	selectedTab: string;

	constructor() {}

	ngOnInit(): void {}

	setCurrentTab() {
    this.selectedTab = this.tabs.getSelected();
	}
}
