export interface ts_CinemaRoom {
  id: number;
  date: string;
  date_gmt: string;
  guid: Guid;
  modified: string;
  modified_gmt: string;
  slug: string;
  status: string;
  type: string;
  link: string;
  title: Guid;
  template: string;
  'toolset-meta': Toolsetmeta;
  _links: Links;
}

interface Links {
  self: Self[];
  collection: Self[];
  about: Self[];
  'wp:attachment': Self[];
  curies: Cury[];
}

interface Cury {
  name: string;
  href: string;
  templated: boolean;
}

interface Self {
  href: string;
}

interface Toolsetmeta {
  'campos-personalizados-salas': Campospersonalizadossalas;
}

interface Campospersonalizadossalas {
  'numero-de-asientos': Numerodeasientos;
  'filas-sala': Numerodeasientos;
  'columnas-sala': Numerodeasientos;
  'asientos-no-disponibles': Asientosnodisponibles;
  cine: Cine;
}

interface Cine {
  type: string;
  raw: number;
}

interface Asientosnodisponibles {
  type: string;
  raw: string[];
}

interface Numerodeasientos {
  type: string;
  raw: string;
}

interface Guid {
  rendered: string;
}