interface Banner {
  id: number;
  date: string;
  date_gmt: string;
  guid: Guid;
  modified: string;
  modified_gmt: string;
  slug: string;
  status: string;
  type: string;
  link: string;
  title: Guid;
  template: string;
  'toolset-meta': Toolsetmeta;
  _links: Links;
}

interface Links {
  self: Self[];
  collection: Self[];
  about: Self[];
  'wp:attachment': Self[];
  curies: Cury[];
}

interface Cury {
  name: string;
  href: string;
  templated: boolean;
}

interface Self {
  href: string;
}

interface Toolsetmeta {
  'campos-personalizados-banners': Campospersonalizadosbanners;
}

interface Campospersonalizadosbanners {
  'imagen-banner': Imagenbanner;
  caption: Caption;
}

interface Caption {
  type: string;
  raw: string;
}

interface Imagenbanner {
  type: string;
  raw: string;
  attachment_id: number;
}

interface Guid {
  rendered: string;
}