export interface Order {
  payment_method: string;
  customer_id: number;
  payment_method_title: string;
  set_paid: boolean;
  billing: Billing;
  shipping: Shipping;
  line_items: Lineitem[];
  shipping_lines: Shippingline[];
}

interface Shippingline {
  method_id: string;
  method_title: string;
  total: string;
}

interface Lineitem {
  product_id: number;
  quantity: number;
  variation_id?: number;
}

interface Shipping {
  first_name: string;
  last_name: string;
  address_1: string;
  address_2: string;
  city: string;
  state: string;
  postcode: string;
  country: string;
}

interface Billing {
  first_name: string;
  last_name: string;
  address_1: string;
  address_2: string;
  city: string;
  state: string;
  postcode: string;
  country: string;
  email: string;
  phone: string;
}