import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { IonicModule } from '@ionic/angular';
import { ChooseSeatPageRoutingModule } from './choose-seat-routing.module';
import { ChooseSeatPage } from './choose-seat.page';
import { ComponentsModule } from 'src/app/components/components.module';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { TheatersPageModule } from '../theaters/theaters.module';
import { TabsPageModule } from '../tabs/tabs.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    ChooseSeatPageRoutingModule,
    ComponentsModule,
    FontAwesomeModule,
    TheatersPageModule,
    TabsPageModule
  ],
  declarations: [ChooseSeatPage]
})
export class ChooseSeatPageModule {}
