import { IonicModule } from "@ionic/angular";
import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { TabsPageRoutingModule } from "./tabs-routing.module";
import { TabsPage } from "./tabs.page";
import { FontAwesomeModule } from "@fortawesome/angular-fontawesome";
import { ProductQuantityPipe } from '../../pipes/product-quantity.pipe';
import { MainPipe } from '../../pipes/main-pipe.module';

@NgModule({
	imports: [
		IonicModule,
		CommonModule,
		FormsModule,
		TabsPageRoutingModule,
		FontAwesomeModule,
		MainPipe
	],
	declarations: [TabsPage],
	exports: [TabsPage],
	providers:[ProductQuantityPipe]
})
export class TabsPageModule {}
