import { Pipe, PipeTransform } from '@angular/core';
import { Shop } from 'src/app/interfaces/ts_shop';

@Pipe({
  name: 'productQuantity'
})
export class ProductQuantityPipe implements PipeTransform {

  transform(shop: Shop, cart:any[]): any {

		let product = cart.find((element) => element.product.id === shop.id);
		if (product) {
			return product.qty;
		} else {
			return "0";
		}
	}

}
