import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { SlideshowBackdropComponent } from './slideshow-backdrop/slideshow-backdrop.component';
import { SlidePosterComponent } from './slide-poster/slide-poster.component';
import { NavbarComponent } from './navbar/navbar.component';
import { DetailComponent } from './detail/detail.component';
import { GlobalTabsComponent } from './global-tabs/global-tabs.component';

@NgModule({
  declarations: [
    SlideshowBackdropComponent,
    SlidePosterComponent,
    NavbarComponent,
    DetailComponent,
    GlobalTabsComponent
  ],
  exports:[
    SlideshowBackdropComponent,
    SlidePosterComponent,
    NavbarComponent,
    DetailComponent,
    GlobalTabsComponent
  ],
  imports: [
    CommonModule,
    IonicModule,
  ]
})
export class ComponentsModule { }
