import { IonicModule } from "@ionic/angular";
import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { FontAwesomeModule } from "@fortawesome/angular-fontawesome";
import { Tab1PageRoutingModule } from "./tab1-routing.module";
import { Tab1Page } from "./tab1.page";
import { ComponentsModule } from "../../components/components.module";
import { DetailComponent } from "../../components/detail/detail.component";

@NgModule({
	entryComponents: [DetailComponent],
	imports: [
		IonicModule,
		CommonModule,
		FormsModule,
		Tab1PageRoutingModule,
		FontAwesomeModule,
		ComponentsModule,
	],
	declarations: [Tab1Page],
})
export class Tab1PageModule {}
