import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { IonicModule } from "@ionic/angular";
import { MovieDetailPageRoutingModule } from "./movie-detail-routing.module";
import { MovieDetailPage } from "./movie-detail.page";
import { ComponentsModule } from "../../components/components.module";
import { FontAwesomeModule } from "@fortawesome/angular-fontawesome";
import { TabsPageModule } from '../tabs/tabs.module';

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    MovieDetailPageRoutingModule,
    ComponentsModule,
    FontAwesomeModule,
    TabsPageModule
  ],
  declarations: [MovieDetailPage],
})
export class MovieDetailPageModule {}
