import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule } from "@angular/forms";
import { IonicModule } from "@ionic/angular";
import { TheatersPageRoutingModule } from "./theaters-routing.module";
import { TheatersPage } from "./theaters.page";
import { FontAwesomeModule } from "@fortawesome/angular-fontawesome";
import { ComponentsModule } from "../../components/components.module";

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		IonicModule,
		TheatersPageRoutingModule,
		FontAwesomeModule,
		ComponentsModule,
	],
	declarations: [TheatersPage],
	exports: [TheatersPage]
})
export class TheatersPageModule {}
