import { Pipe, PipeTransform } from "@angular/core";
import { Shop } from "../interfaces/ts_shop";
import { ShopService } from "../services/shop.service";

@Pipe({
	name: "product",
})
export class ProductPipe implements PipeTransform {
    transform(shop: Shop, cart:any[]): any {

		let product = cart.find((element) => element.product.id === shop.id);
		if (product) {
			return product.qty;
		} else {
			return "0";
		}
	}
}
